--- /dev/null
+#!/bin/sh
+PKG="$1"
+if test -z "$PKG"; then
+ echo "Specify .dsc file"
+ exit 1
+fi
+if test ! -e "$PKG"; then
+ echo "${PKG} does not exist"
+ exit 1
+fi
+for dist in etch lenny; do
+ for arch in i386 amd64; do
+ DIST=$dist ARCH=$arch pbuilder update --override-config
+ DIST=$dist ARCH=$arch pbuilder --build $PKG
+ done
+done
--- /dev/null
+# The distribution should be correct in your changelog file.
+# Uncomment this line to use the one listed there:
+# https://wiki.ubuntu.com/PbuilderHowto
+#DIST=`dpkg-parsechangelog | awk '/^Distribution: / {print $2}'`
+
+: ${DIST:=$(lsb_release --short --codename)}
+: ${ARCH:=$(dpkg --print-architecture)}
+NAME="$DIST-$ARCH"
+DISTRIBUTION="$DIST"
+DEBOOTSTRAPOPTS=("--arch" "$ARCH" "${DEBOOTSTRAPOPTS[@]}")
+BASETGZ="`dirname $BASETGZ`/$NAME-base.tgz"
+BUILDRESULT="/var/cache/pbuilder/$NAME/result/"
+APTCACHE="/var/cache/pbuilder/$NAME/aptcache/"
+
+case "$DIST" in
+ intrepid|hardy|gutsy) # ubuntu specific
+ MIRRORSITE="http://mirrors.kernel.org/ubuntu/"
+ COMPONENTS="main restricted universe multiverse"
+ ;;
+ lenny|etch) # debian specific
+ MIRRORSITE="http://ftp.se.debian.org/debian/"
+ COMPONENTS="main contrib non-free"
+ OTHERMIRROR="deb http://ftp.indexdata.dk/debian $DIST main"
+ ;;
+ *)
+ echo "Unknown distribution: $DIST"
+ exit 1
+ ;;
+esac